function u = solveRobinBVP(mesh, g)

    % Assemble matrices
    A = assemMat_LFE(mesh, @STIMA_Lapl_LFE);
    B = assemMat_Bnd_Robin(mesh, @(x,varargin) ones(size(x,1),1), 4);

    % Assemble right hand side
    qr.x = [-1/sqrt(3); 1/sqrt(3)]; qr.x = (qr.x + 1)/2;
    qr.w = [1; 1]/2;
    L = zeros(size(mesh.Coordinates,1),1);
    L = assemNeu_LFE(mesh, -1, L, qr, g);

    % Solve system
    u = (A+B)\L;

end
