function u = solveBVP(M, c, f)

    M = M+1;
    grid = linspace(0, 1, M+1);
    [x,y] = meshgrid(grid);

    mesh.Coordinates = [y(:), x(:)];
    mesh.Elements = [];
    for i = 0:M-1
        mesh.Elements = [mesh.Elements, [(M+1)*i+1:(M+1)*(i+1)-1; (M+1)*(i+1)+2:(M+1)*(i+2); (M+1)*i+2:(M+1)*(i+1)]];
        mesh.Elements = [mesh.Elements, [(M+1)*i+1:(M+1)*(i+1)-1; (M+1)*(i+1)+1:(M+1)*(i+2)-1; (M+1)*(i+1)+2:(M+1)*(i+2)]];
    end

    mesh.Elements = mesh.Elements';

    mesh = add_Edges(mesh);
    mesh = add_Edge2Elem(mesh);
    loc = get_BdEdges(mesh);
    mesh.BdFlags = zeros(size(mesh.Edges,1),1);
    mesh.BdFlags(loc) = -1;
    mesh.ElemFlag = zeros(size(mesh.Elements,1),1);

    A = (1-c)*assemMat_LFE(mesh, @STIMA_Lapl_LFE) + c*assemMat_LFE(mesh, @MASS_LFE);
    L = assemLoad_LFE(mesh, P7O6(), f);
    [u, FreeDofs] = assemDir_LFE(mesh, -1, @(x,varargin)zeros(size(x,1),1));

    u(FreeDofs) = A(FreeDofs,FreeDofs) \ L(FreeDofs);

end
